Summary: CERN HP-GL viewer 
Name: hpglview
Version: 543
Release: 1%{dist}
URL: http://cern.ch/hpglview/
Packager: Timo.Hakulinen@cern.ch
Source0: hpglview.i386.bin
%if "%{dist}" != ".slc4"
Source1: hpglview.x86_64.bin
%endif
Source2: hpglview.wrap
# license file
Source3: hpglview.dat
# docs
Source4: hpglview.1
Source5: ReadMe.txt
Source6: ReadMe_unix.txt
Source7: hpglview.pdf
License: Free of charge
Group: Applications/Publishing
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: /usr/bin/perl
%if "%{dist}" == ".slc4"
Requires: xorg-x11-deprecated-libs
%endif
%if "%{dist}" == ".slc5"
Requires: libXp xorg-x11-fonts-ISO8859-1-75dpi
%endif
%if "%{dist}" == ".slc6"
Requires: libXp xorg-x11-fonts-ISO8859-1-75dpi
%endif

%description
The HP-GL viewer developed at CERN provides fast and accurate display
of HP-GL and HP-GL/2 files on a number of platforms and operating
systems. It has an intuitive graphical interface and can be used to
display, print, and convert files from HP-GL and HP-GL/2 to
PostScript, Encapsulated PostScript, DXF, or CGM.

%prep
mkdir -p $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hpglview
%ifarch i386 i686
install -m 755 %{SOURCE0} $RPM_BUILD_ROOT/%{_bindir}/hpglview.bin
%endif
%ifarch x86_64
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_bindir}/hpglview.bin
%endif
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/%{_bindir}/hpglview
/usr/bin/perl -p -i -e 's/_VERSION_/%{version}/' $RPM_BUILD_ROOT/%{_bindir}/hpglview
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/%{_datadir}/hpglview/hpglview.dat
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/%{_mandir}/man1/hpglview.1
/usr/bin/perl -p -i -e 's/_VERSION_/%{version}/' $RPM_BUILD_ROOT/%{_mandir}/man1/hpglview.1
install -m 644 %{SOURCE5} .
install -m 644 %{SOURCE6} .
install -m 644 %{SOURCE7} .

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/hpglview
%{_bindir}/hpglview.bin
%{_mandir}/man1/hpglview.1*
%{_datadir}/hpglview
%doc hpglview.pdf ReadMe.txt ReadMe_unix.txt

%changelog
* Tue Jan 31 2012 Timo Hakulinen <timo.hakulinen@cern.ch> 5.43-1.slc5
- package version 5.43, both 32 and 64 bits + include license file

* Tue Sep 29 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> 5.41-1.slc5
- Correcting version of the package: it is 5.41 , not 5.40 ...

* Thu Jun 25 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> 5.40-2.slc5
- rebuild for SLC5

* Mon Sep 26 2005 Jan Iven <jan.iven@cern.ch>  5.40-1.cern
- update to 5.40, new ReadMe_unix.txt

* Thu Mar 17 2005 Jan Iven <jan.iven@cern.ch>  5.30-3.cern
- small corrections: version-specific license file, remove faq/examples.html,
  correct URL

* Tue Mar 15 2005 Jan Iven <jan.iven@cern.ch>  5.30-2.cern
- added wrapper to set up the license file location
- added man page from T.Hakulinen

* Fri Feb 25 2005 Jan Iven <jan.iven@cern.ch>  5.30-1.cern
- Initial build, based on binary from T.Hakulinen


